<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_bodega = $_POST["id_bodega"];
$id_vendedor = $_POST["id_vendedor"];
$mercaderia = $_POST["mercaderia"];

$id_autoriza=91;

/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
			parent.location.href = 'index.php';
		</script>
	<? 
	exit();
	}
include("../css/mascara_fecha.js");
?>
<title>Guarda Factura</title>
<?
$ctprod=$_GET["cnt"];
if ($txtivar=='') $txtivar=0;
if ($txtactividad=='') $txtactividad=null;
if ($txtemail=='') $txtemail=null;
if ($txtfono=='') $txtfono=null;
if ($txtfax=='') $txtfax=null;
//************************* verifica ingreso de factura  *********************************************/	

$cons_dcto = mysql_query("SELECT * FROM entrada WHERE empresa=$id_empresa AND tipo_dcto = $lstdcto AND num_dcto = $txtndcto AND  rut_proveedor='$txtrut'", $enlace);

$cont=0;
while ( mysql_fetch_object ($cons_dcto) ) 
	{
	$cont = $cont + 1;
	}
if ($cont==0)   	//******** verifica existencia ingreso de dcto (factura)  ***********/		

{

//************************************************* Graba correlativo ****************OC=9*****************************/	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = '$txtcorrelativo' WHERE id_dcto=9 AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
//************************************************** verifica proveedor *********************************************/		
	//************************************************** verifica proveedor *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$txtrut'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
	if ($row==0)
		{
		$sql_ins = "INSERT INTO nombres (rut, razon_social, direccion, email, region, comuna, ciudad, fono1, fax, proveedor, rubro_giro)
		VALUES ('$txtrut', '$txtrsoc', '$txtdireccion', '$txtemail', $lstreg, $lstcom, '$txtciudad', '$txtfono', '$txtfax', 'True', '$txtactividad')";
		mysql_query($sql_ins,$enlace);
		}
	else
		{
		$sql_upd = "UPDATE nombres SET rut='$txtrut', razon_social='$txtrsoc', direccion='$txtdireccion', email='$txtemail',
		ciudad='$txtciudad', comuna=$lstcom, region=$lstreg, rubro_giro='$txtactividad', fono1='$txtfono', fax='$txtfax', proveedor = 'True' WHERE codigo = $emp_codigo";
		mysql_query($sql_upd,$enlace);
		}

/************************************************** insertar entrada ***********************************************/	
	$dia = substr ($fecha, 0, 2);
	$mes = substr ($fecha, 3, 2);
	$aņo = substr ($fecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";	
	$dia = substr ($fecha2, 0, 2);
	$mes = substr ($fecha2, 3, 2);
	$aņo = substr ($fecha2, 6, 4); 
	$fecha_re = "$aņo-$mes-$dia";	
	$dia = substr ($fecha3, 0, 2);
	$mes = substr ($fecha3, 3, 2);
	$aņo = substr ($fecha3, 6, 4); 
	$fecha_ve = "$aņo-$mes-$dia";	
$factor=1;	
if ($lstdcto==6 || $lstdcto==15) $factor=-1;

	$wsql = "INSERT INTO entrada (empresa, rut_proveedor, num_dcto, tipo_dcto, fecha_emision, fecha_recepcion, fecha_pago, fecha_libro, tipo_pago, exento, neto, iva, total, iva_retenido, productos, usuario,  bodega, vendedor, correlativo, factor) 
	VALUES ($id_empresa, '$txtrut', $txtndcto, $lstdcto, '$fecha_em', '$fecha_re', '$fecha_ve','$fecha_re', $lstpago, $txtneto, $txtexento, $txtiva, $txttotal, $txtivar, $mercaderia, $id_user, $id_bodega, $id_vendedor, $txtcorrelativo, $factor)";
	
	$consulta = mysql_query($wsql,$enlace);
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM entrada WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$eultimo_id = mysql_result($res_ultimo, 0, "id");
	$cant = "1";
	//+++++++++++++++++++++++++pago proveedores
	
	
		
	/******************************  Total de productos  **********************************************************/
	if ($mercaderia==1)
		
		{
	$cant = "1";
	$ctot_prod=0;
	while ($cant<=$cnt)
		{
		if ($total[$cant]>0)
			{
			$ctot_prod+=1;
			}
		$cant=$cant+1;
		}	
	//++++++++++++++++++++++++++++++++++++++++++++++ descuento por producto (%)
	$por_des=($txtdes*100)/$txtst;
	echo $pordes;
	//++++++++++++++++++++ guarda en movimiento	
	$cant = "1";
	$cnt_tot_prod=0;
	$total_while=0;
	
	while ($cant<=$ctprod)
	{
	if ($total[$cant]!=0)
		{
		$cnt_tot_prod+=1;
		if($cnt_tot_prod<$ctot_prod){
			$porcentaje_valor=100-$por_des;
			$totalw=(int)($total[$cant]*$porcentaje_valor/100);
			$total_while+=$totalw;
			$desporprod[$cant]=$total[$cant]-$totalw;
			}
		else{
			$totalw=$txttotal-$total_while;
			$desporprod[$cant]=$total[$cant]-$totalw;
			}
			
		$psql = "INSERT INTO movimiento (empresa, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario, sub_total, numero_dcto, tipo_dcto, descuentos, bodega, id_soe, rut) 
			VALUES ($id_empresa, 'E', '$fecha_re', $codigo[$cant], $cantidad[$cant], $precio[$cant], $total[$cant], $txtndcto, $lstdcto, $desporprod[$cant], $id_bodega, $eultimo_id, '$txtrut')";
		$sql_productos = mysql_query($psql,$enlace);
		
		}
	$cant=$cant+1;
	}
  }
/*************** MERCADERIA =0  ES GASTO ***************/
 
	?>
<script>
	alert ("Documento ingresado con exito "  );
	window.top.open('','_parent','');window.top.close();
</script>
<?
	}
else
	{
	?>
<script>
	
	alert ("El Documento ingresado ya existe");
	window.top.open('','_parent','');window.top.close();
</script>
	<?
	}
?>